# List all collections

You can fetch a list of all collections by making a GET request to `https://api.intercom.io/help_center/collections`.
Requires the `read_articles_scope` or `create_update_articles` OAuth scope.

Endpoint: GET /help_center/collections
Version: 2.18
Security: bearerAuth

## Query parameters:

  - `page` (integer)
    The page of results to fetch. Defaults to the first page.

  - `per_page` (integer)
    The number of results to return per page. Defaults to 20. Maximum is 250.

  - `help_center_id` (integer)
    Only return collections that belong to this Help Center.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - `list`.
    Enum: "list"

  - `pages` (object)
    The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

  - `pages.type` (string)
    Enum: "pages"

  - `pages.page` (integer)
    Example: 1

  - `pages.next` (string)
    A link to the next page of results. Omitted or `null` on the last page, depending on the list. Some lists never include `next` or `prev`, so compare `page` with `total_pages` to tell whether more pages remain.

  - `pages.prev` (string)
    A link to the previous page of results. Omitted on the first page.

  - `pages.per_page` (integer)
    Example: 50

  - `pages.total_pages` (integer)
    Example: 1

  - `total_count` (integer)
    A count of the total number of collections.
    Example: 1

  - `data` (array)
    An array of collection objects

  - `data.type` (string)
    The type of object - `collection`.
    Enum: "collection"

  - `data.id` (string)
    The unique identifier for the collection which is given by Intercom.
    Example: 6871119

  - `data.workspace_id` (string)
    The id of the workspace which the collection belongs to.
    Example: hfi1bx4l

  - `data.name` (string)
    The name of the collection. For multilingual collections, this will be the name of the default language's content.
    Example: Default language name

  - `data.description` (string)
    The description of the collection. For multilingual help centers, this will be the description of the collection for the default language.
    Example: Default language description

  - `data.created_at` (integer)
    The time when the article was created (seconds). For multilingual articles, this will be the timestamp of creation of the default language's content.
    Example: 1672928359

  - `data.updated_at` (integer)
    The time when the article was last updated (seconds). For multilingual articles, this will be the timestamp of last update of the default language's content.
    Example: 1672928610

  - `data.url` (string)
    The URL of the collection. For multilingual help centers, this will be the URL of the collection for the default language.
    Example: http://intercom.test/help/collection/name

  - `data.icon` (string)
    The icon of the collection.
    Example: book-bookmark

  - `data.order` (integer)
    The order of the section in relation to others sections within a collection. Values go from `0` upwards. `0` is the default if there's no order.
    Example: 1

  - `data.default_locale` (string)
    The default locale of the help center. This field is only returned for multilingual help centers.
    Example: en

  - `data.translated_content` (object)
    The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

  - `data.translated_content.type` (string)
    The type of object - group_translated_content.
    Enum: null, "group_translated_content"

  - `data.translated_content.ar` (object)
    The Content of a Group.

  - `data.translated_content.ar.type` (string)
    The type of object - `group_content` .
    Enum: null, "group_content"

  - `data.translated_content.ar.name` (string)
    The name of the collection or section.
    Example: Collection name

  - `data.translated_content.ar.description` (string)
    The description of the collection. Only available for collections.
    Example:  Collection description

  - `data.parent_id` (string)
    The id of the parent collection. If `null` then it is the first level collection.
    Example: 6871118

  - `data.help_center_id` (integer)
    The id of the help center the collection is in.
    Example: 123

## Response 400 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

